/**
 * load package
 */
import { copy } from 'fs-extra'
import { glob } from 'glob'


/**
 * main function
 */
(async () => {
  /**
   * collect available public files
   */
  let files = await glob('./src/public/**/*.*', {ignore: 'node_modules/**'})
  files = files.map(fname => (fname + '').replace(/\\/g, "\t").split("\t"))

  /**
   * copy to dist/public
   */
  files.map(async (farr) => {
    let instr = farr.join('/')
    farr.shift()
    farr[0] = './dist'
    let outstr = farr.join('/')

    copy(instr, outstr)
  })
})()
